# $Id: kile.spec,v 1.47 2004/05/25 19:55:20 rexdieter Exp $

%define is_release 2

Summary: A user friendly IRC Client
Name: 	 konversation
Version: 0.18
Release: 1.0%{?dist_tag}.kde
URL:	 http://konversation.kde.org/ 
Source:	 http://download.berlios.de/konversation/konversation-0.18.tar.bz2
License: GPL
Group:   Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

# gcc4 workaround
Patch1000: admin-gcc4isok.patch

BuildRequires: gettext

BuildRequires: qt-devel >= 1:3.3
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel )
Requires: qt >= 1:%{qt_ver}
BuildRequires: kdelibs-devel >= 6:3.3
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel )
Requires: kdelibs >= 6:%{kdelibs_ver}

%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake17
%endif


%description
A simple and easy to use IRC client for KDE with support for strikeout;
multi-channel joins; away / unaway messages; ignore list functionality; (experimental)
support for foreign language characters; auto-connect to server; optional timestamps
to chat windows; configurable background colors and much more.


%prep
%setup -q 

%patch1000 -p1 -b .gcc4isok

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-debug --disable-warnings --disable-dependency-tracking } 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  lang=$(basename $lang_dir)
  echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
done
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}*
%{_datadir}/apps/%{name}
%{_datadir}/apps/kconf_update/*
%{_datadir}/appl*/*/*.desktop
%config %{_datadir}/config*/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/services/*


%changelog
* Mon Jun 27 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.18-1.0.kde
- 0.18

* Fri Jan 21 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.15.1-0.fdr.1
- 0.15.1 (security update)

* Wed Dec 01 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0.15-0.fdr.1
- 0.15

* Fri Sep 10 2004 Rex Dieter <rexdieter at sf.net> 0.14-0.fdr.2/3
- fix conflicts with kdenetwork-3.3.0

* Fri Aug 06 2004 Rex Dieter <rexdieter at sf.net> 0.14-0.fdr.1
- fedora'ize

* Wed Jul 07 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.14-1
- Updated to v0.14.

* Sat May 22 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.13-4
- Rebuilt for Fedora Core 2.

* Sun May 10 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.13-3
- Spec file housekeeping - no feature changes.

* Sun Jan  4 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.13-1
- Rebuilt so desktop file would have it under Network instead of Other.

* Wed Dec 31 2003 Robert Rockers <rpm at rockerssoft.com> 0.13
- Rebuilt for Fedora Core 1

* Mon Nov 17 2003 Robert Rockers <rpm at rockerssoft.com> 0.13
- Recompiled for version 0.13 source file is now tar.bz2 instead of tar.gz
- commented out the patch because it was not necessary.  Will delete
- in next revision.

* Tue May 27 2003 Robert Rockers <rpm at rockerssoft.com> 0.12
- Recompiled for version 0.12.

* Fri Mar 23 2003 Robert Rockers <rpm at rockerssoft.com> 0.11
- Recompiled for version 0.11.

* Fri Feb 23 2003 Robert Rockers <rpm at rockerssoft.com> 0.10
- Recompiled for version 0.10.

* Fri Feb 7 2003 Robert Rockers <brockers at dps.state.ok.us> 0.9
- Initial RedHat RPM release.
